/**
 * 绑定
 * @param {Number} phone            手机号码
 * @param {Number} verificationCode 手机验证码
 * @param {String} bindingCode      绑定码
 */
export function binding(phone, verificationCode, bindingCode) {
  // { code: 1, data: { access_token: '315dd203fdedc3b0f580a40f20b5c179-1468226741' } }
  return this.authClient.post('verify/login', {
    data: {
      phone,
      message_code: verificationCode,
      band_code: bindingCode,
    },
  }).then(result => {
    this.token = result.data.access_token;
    return result;
  });
};

export function checkBinding() {
  // { code: 1, data: true }
  return this.apiClient.get('mobile/band-status', { token: this.token });
}
